Skip to content

nodes_datalinks_list

GET
/api/nodes/{node_pk}/datalinks
curl --request GET \
--url 'https://example.com/api/nodes/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/datalinks?include_metadata=false&status=active' \
--header 'Authorization: Bearer <token>' \
--header 'X-Workspace: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0'

List the information related to all the Node objects.

node_pk
required
string format: uuid
X-Workspace
required
string format: uuid

Workspace ID

include_metadata
boolean

When true, each datalink in the page includes a metadata array with the same item shape as GET /api/data/{id}/metadata?datalink={datalink_id}&include_inherited=true (full unpaginated field list per datalink).

ordering
string

Which field to use when ordering the results.

p
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

search
string

A search term.

status
string
Allowed values: active failed in progress

Only the datalinks whose data has this status: in progress while it is being read from its source, failed when that reading did not succeed, active otherwise.

Media typeapplication/json
object
count
required
integer
next
string format: uri
nullable
previous
string format: uri
nullable
results
required
Array<object>

OpenAPI response for datalink list items.

Documents the optional metadata heritage array returned when include_metadata=true.

object
id
required
string format: uuid
node
required
string format: uuid
data
required
string format: uuid
data_obj
required

Return serialized data object with request context.

Parameters

obj : DataLink The object containing the data that needs to be serialized.

Returns

DatalinkDataSerializer A DatalinkDataSerializer object is being returned, with the data attribute of the input obj and the context set to include the request from the current context.

object
key
additional properties
created_by
required

Return the interactor information of the object’s creator.

Parameters

obj : DataLink The object containing the creator information.

Returns

dict The interactor information of the creator.

object
key
additional properties
created_time
required
string format: date-time
metadata

Present only when include_metadata=true. Same item shape as GET /api/data/{id}/metadata?datalink={datalink_id}&include_inherited=true (full unpaginated field list per datalink).

Array<object>

Shape for one metadata field + its values.

object
field
required

Metadata field description.

object
key
additional properties
values
required

Values / selected values for the field.

Array<object>
object
key
additional properties

Example

{
"count": 123,
"next": "http://api.example.org/accounts/?p=4",
"previous": "http://api.example.org/accounts/?p=2"
}
Media typeapplication/json
object
code
required
string
>= 1 characters
message
required
string
>= 1 characters
details
required
Array<object>
object
parameter
string
nullable
code
string
nullable
message
string

Example

{
"code": "query_validation_error",
"message": "Invalid query parameters. Check the `details` property for more details.",
"details": [
{
"parameter": "status",
"message": "\"<status>\" is not a valid choice.",
"code": "invalid_choice"
}
]
}
Media typeapplication/json
object
code
required
string
>= 1 characters
message
required
string
>= 1 characters
details
required
Array<object>
object
parameter
string
nullable
code
string
nullable
message
string

Example

{
"code": "forbidden",
"message": "You do not have permission to perform this operation. Check the `details` property for more details.",
"details": [
{
"parameter": "node",
"message": "Not a member of the node.",
"code": "unauthorized"
}
]
}
Media typeapplication/json
object
code
required
string
>= 1 characters
message
required
string
>= 1 characters
details
required
Array<object>
object
parameter
string
nullable
code
string
nullable
message
string

Example

{
"code": "object_not_found",
"message": "Object not found. Check the `details` property for more details.",
"details": [
{
"parameter": "<id>",
"code": "does_not_exist",
"message": "\"<id>\" does not exist."
}
]
}